<?php

namespace App\Http\Controllers\Admin;

use App\Contractor;
use App\Http\Controllers\Controller;
use Gate;
use Illuminate\Http\Request;
use Illuminate\Http\Response;

class ContractorController extends Controller
{
    public function index()
    {
        abort_if(Gate::denies('contractor_access'), Response::HTTP_FORBIDDEN, '403 Forbidden');

        return view('admin.contractor.index');
    }

    public function create()
    {
        abort_if(Gate::denies('contractor_create'), Response::HTTP_FORBIDDEN, '403 Forbidden');

        return view('admin.contractor.create');
    }

    public function edit(Contractor $contractor)
    {
        abort_if(Gate::denies('contractor_edit'), Response::HTTP_FORBIDDEN, '403 Forbidden');

        return view('admin.contractor.edit', compact('contractor'));
    }

    public function show(Contractor $contractor)
    {
        abort_if(Gate::denies('contractor_show'), Response::HTTP_FORBIDDEN, '403 Forbidden');

        $contractor->load('supplier', 'work', 'status');

        return view('admin.contractor.show', compact('contractor'));
    }
}
