<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\ProjectDetail;
use Gate;
use Illuminate\Http\Request;
use Illuminate\Http\Response;

class ProjectDetailController extends Controller
{
    public function index()
    {
        abort_if(Gate::denies('project_detail_access'), Response::HTTP_FORBIDDEN, '403 Forbidden');

        return view('admin.project-detail.index');
    }

    public function create()
    {
        abort_if(Gate::denies('project_detail_create'), Response::HTTP_FORBIDDEN, '403 Forbidden');

        return view('admin.project-detail.create');
    }

    public function edit(ProjectDetail $projectDetail)
    {
        abort_if(Gate::denies('project_detail_edit'), Response::HTTP_FORBIDDEN, '403 Forbidden');

        return view('admin.project-detail.edit', compact('projectDetail'));
    }

    public function show(ProjectDetail $projectDetail)
    {
        abort_if(Gate::denies('project_detail_show'), Response::HTTP_FORBIDDEN, '403 Forbidden');

        $projectDetail->load('project', 'works');

        return view('admin.project-detail.show', compact('projectDetail'));
    }
}
