<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\StatusCategory;
use Gate;
use Illuminate\Http\Request;
use Illuminate\Http\Response;

class StatusCategoryController extends Controller
{
    public function index()
    {
        abort_if(Gate::denies('status_category_access'), Response::HTTP_FORBIDDEN, '403 Forbidden');

        return view('admin.status-category.index');
    }

    public function create()
    {
        abort_if(Gate::denies('status_category_create'), Response::HTTP_FORBIDDEN, '403 Forbidden');

        return view('admin.status-category.create');
    }

    public function edit(StatusCategory $statusCategory)
    {
        abort_if(Gate::denies('status_category_edit'), Response::HTTP_FORBIDDEN, '403 Forbidden');

        return view('admin.status-category.edit', compact('statusCategory'));
    }

    public function show(StatusCategory $statusCategory)
    {
        abort_if(Gate::denies('status_category_show'), Response::HTTP_FORBIDDEN, '403 Forbidden');

        return view('admin.status-category.show', compact('statusCategory'));
    }
}
