<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Work;
use Gate;
use Illuminate\Http\Request;
use Illuminate\Http\Response;

class WorkController extends Controller
{
    public function index()
    {
        abort_if(Gate::denies('work_access'), Response::HTTP_FORBIDDEN, '403 Forbidden');

        return view('admin.work.index');
    }

    public function create()
    {
        abort_if(Gate::denies('work_create'), Response::HTTP_FORBIDDEN, '403 Forbidden');

        return view('admin.work.create');
    }

    public function edit(Work $work)
    {
        abort_if(Gate::denies('work_edit'), Response::HTTP_FORBIDDEN, '403 Forbidden');

        return view('admin.work.edit', compact('work'));
    }

    public function show(Work $work)
    {
        abort_if(Gate::denies('work_show'), Response::HTTP_FORBIDDEN, '403 Forbidden');

        $work->load('status', 'unit');

        return view('admin.work.show', compact('work'));
    }
}
