<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\WorkProgress;
use Gate;
use Illuminate\Http\Request;
use Illuminate\Http\Response;

class WorkProgressController extends Controller
{
    public function index()
    {
        abort_if(Gate::denies('work_progress_access'), Response::HTTP_FORBIDDEN, '403 Forbidden');

        return view('admin.work-progress.index');
    }

    public function create()
    {
        abort_if(Gate::denies('work_progress_create'), Response::HTTP_FORBIDDEN, '403 Forbidden');

        return view('admin.work-progress.create');
    }

    public function edit(WorkProgress $workProgress)
    {
        abort_if(Gate::denies('work_progress_edit'), Response::HTTP_FORBIDDEN, '403 Forbidden');

        return view('admin.work-progress.edit', compact('workProgress'));
    }

    public function show(WorkProgress $workProgress)
    {
        abort_if(Gate::denies('work_progress_show'), Response::HTTP_FORBIDDEN, '403 Forbidden');

        $workProgress->load('workAssign');

        return view('admin.work-progress.show', compact('workProgress'));
    }
}
