<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Workassign;
use Gate;
use Illuminate\Http\Request;
use Illuminate\Http\Response;

class WorkassignController extends Controller
{
    public function index()
    {
        abort_if(Gate::denies('workassign_access'), Response::HTTP_FORBIDDEN, '403 Forbidden');

        return view('admin.workassign.index');
    }

    public function create()
    {
        abort_if(Gate::denies('workassign_create'), Response::HTTP_FORBIDDEN, '403 Forbidden');

        return view('admin.workassign.create');
    }

    public function edit(Workassign $workassign)
    {
        abort_if(Gate::denies('workassign_edit'), Response::HTTP_FORBIDDEN, '403 Forbidden');

        return view('admin.workassign.edit', compact('workassign'));
    }

    public function show(Workassign $workassign)
    {
        abort_if(Gate::denies('workassign_show'), Response::HTTP_FORBIDDEN, '403 Forbidden');

        $workassign->load('project', 'contractor', 'status');

        return view('admin.workassign.show', compact('workassign'));
    }
}
