<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\WorksDetail;
use Gate;
use Illuminate\Http\Request;
use Illuminate\Http\Response;

class WorksDetailController extends Controller
{
    public function index()
    {
        abort_if(Gate::denies('works_detail_access'), Response::HTTP_FORBIDDEN, '403 Forbidden');

        return view('admin.works-detail.index');
    }

    public function create()
    {
        abort_if(Gate::denies('works_detail_create'), Response::HTTP_FORBIDDEN, '403 Forbidden');

        return view('admin.works-detail.create');
    }

    public function edit(WorksDetail $worksDetail)
    {
        abort_if(Gate::denies('works_detail_edit'), Response::HTTP_FORBIDDEN, '403 Forbidden');

        return view('admin.works-detail.edit', compact('worksDetail'));
    }

    public function show(WorksDetail $worksDetail)
    {
        abort_if(Gate::denies('works_detail_show'), Response::HTTP_FORBIDDEN, '403 Forbidden');

        $worksDetail->load('item', 'work', 'durationUnits');

        return view('admin.works-detail.show', compact('worksDetail'));
    }
}
