<?php

namespace App\Http\Livewire\Category;

use App\Category;
use Livewire\Component;

class Create extends Component
{
    public Category $category;

    public function mount(Category $category)
    {
        $this->category = $category;
    }

    public function render()
    {
        return view('livewire.category.create');
    }

    public function submit()
    {
        $this->validate();

        $this->category->save();

        return redirect()->route('admin.categories.index');
    }

    protected function rules(): array
    {
        return [
            'category.name' => [
                'string',
                'required',
            ],
            'category.code' => [
                'string',
                'nullable',
            ],
        ];
    }
}
