<?php

namespace App\Http\Livewire\ProjectDetail;

use App\Project;
use App\ProjectDetail;
use App\Work;
use Livewire\Component;

class Create extends Component
{
    public array $listsForFields = [];

    public ProjectDetail $projectDetail;

    public function mount(ProjectDetail $projectDetail)
    {
        $this->projectDetail = $projectDetail;
        $this->initListsForFields();
    }

    public function render()
    {
        return view('livewire.project-detail.create');
    }

    public function submit()
    {
        $this->validate();

        $this->projectDetail->save();

        return redirect()->route('admin.project-details.index');
    }

    protected function rules(): array
    {
        return [
            'projectDetail.project_id' => [
                'integer',
                'exists:projects,id',
                'required',
            ],
            'projectDetail.works_id' => [
                'integer',
                'exists:works,id',
                'nullable',
            ],
            'projectDetail.wrok_qty' => [
                'numeric',
                'required',
            ],
            'projectDetail.estimate_hours' => [
                'numeric',
                'nullable',
            ],
            'projectDetail.rate' => [
                'numeric',
                'nullable',
            ],
            'projectDetail.estimate_cost' => [
                'numeric',
                'nullable',
            ],
        ];
    }

    protected function initListsForFields(): void
    {
        $this->listsForFields['project'] = Project::pluck('name', 'id')->toArray();
        $this->listsForFields['works']   = Work::pluck('name', 'id')->toArray();
    }
}
