<?php

namespace App\Http\Livewire\Status;

use App\Status;
use App\StatusCategory;
use Livewire\Component;

class Create extends Component
{
    public Status $status;

    public array $listsForFields = [];

    public function mount(Status $status)
    {
        $this->status = $status;
        $this->initListsForFields();
    }

    public function render()
    {
        return view('livewire.status.create');
    }

    public function submit()
    {
        $this->validate();

        $this->status->save();

        return redirect()->route('admin.statuses.index');
    }

    protected function rules(): array
    {
        return [
            'status.status_category_id' => [
                'integer',
                'exists:status_categories,id',
                'required',
            ],
            'status.name' => [
                'string',
                'required',
            ],
            'status.code' => [
                'string',
                'nullable',
            ],
        ];
    }

    protected function initListsForFields(): void
    {
        $this->listsForFields['status_category'] = StatusCategory::pluck('name', 'id')->toArray();
    }
}
