<?php

namespace App\Http\Livewire\StatusCategory;

use App\StatusCategory;
use Livewire\Component;

class Edit extends Component
{
    public StatusCategory $statusCategory;

    public function mount(StatusCategory $statusCategory)
    {
        $this->statusCategory = $statusCategory;
    }

    public function render()
    {
        return view('livewire.status-category.edit');
    }

    public function submit()
    {
        $this->validate();

        $this->statusCategory->save();

        return redirect()->route('admin.status-categories.index');
    }

    protected function rules(): array
    {
        return [
            'statusCategory.name' => [
                'string',
                'required',
            ],
            'statusCategory.code' => [
                'string',
                'nullable',
            ],
        ];
    }
}
