<?php

namespace App\Http\Livewire\SubCategory;

use App\Category;
use App\SubCategory;
use Livewire\Component;

class Create extends Component
{
    public SubCategory $subCategory;

    public array $listsForFields = [];

    public function mount(SubCategory $subCategory)
    {
        $this->subCategory = $subCategory;
        $this->initListsForFields();
    }

    public function render()
    {
        return view('livewire.sub-category.create');
    }

    public function submit()
    {
        $this->validate();

        $this->subCategory->save();

        return redirect()->route('admin.sub-categories.index');
    }

    protected function rules(): array
    {
        return [
            'subCategory.category_name_id' => [
                'integer',
                'exists:categories,id',
                'required',
            ],
            'subCategory.name' => [
                'string',
                'required',
            ],
            'subCategory.code' => [
                'string',
                'nullable',
            ],
        ];
    }

    protected function initListsForFields(): void
    {
        $this->listsForFields['category_name'] = Category::pluck('name', 'id')->toArray();
    }
}
