<?php

namespace App\Http\Livewire\Supplier;

use App\Supplier;
use Livewire\Component;

class Create extends Component
{
    public Supplier $supplier;

    public function mount(Supplier $supplier)
    {
        $this->supplier = $supplier;
    }

    public function render()
    {
        return view('livewire.supplier.create');
    }

    public function submit()
    {
        $this->validate();

        $this->supplier->save();

        return redirect()->route('admin.suppliers.index');
    }

    protected function rules(): array
    {
        return [
            'supplier.name' => [
                'string',
                'required',
            ],
            'supplier.code' => [
                'string',
                'nullable',
            ],
        ];
    }
}
