<?php

namespace App\Http\Livewire\Unit;

use App\Unit;
use Livewire\Component;

class Create extends Component
{
    public Unit $unit;

    public function mount(Unit $unit)
    {
        $this->unit = $unit;
    }

    public function render()
    {
        return view('livewire.unit.create');
    }

    public function submit()
    {
        $this->validate();

        $this->unit->save();

        return redirect()->route('admin.units.index');
    }

    protected function rules(): array
    {
        return [
            'unit.name' => [
                'string',
                'required',
            ],
            'unit.code' => [
                'string',
                'nullable',
            ],
            'unit.factor' => [
                'numeric',
                'nullable',
            ],
        ];
    }
}
