<?php

namespace App\Http\Livewire\WorkProgress;

use App\Workassign;
use App\WorkProgress;
use Livewire\Component;

class Edit extends Component
{
    public array $listsForFields = [];

    public WorkProgress $workProgress;

    public function mount(WorkProgress $workProgress)
    {
        $this->workProgress = $workProgress;
        $this->initListsForFields();
    }

    public function render()
    {
        return view('livewire.work-progress.edit');
    }

    public function submit()
    {
        $this->validate();

        $this->workProgress->save();

        return redirect()->route('admin.work-progresss.index');
    }

    protected function rules(): array
    {
        return [
            'workProgress.work_assign_id' => [
                'integer',
                'exists:workassigns,id',
                'required',
            ],
            'workProgress.finished_qty' => [
                'numeric',
                'required',
            ],
            'workProgress.used_hours' => [
                'numeric',
                'required',
            ],
            'workProgress.paid_amount' => [
                'numeric',
                'nullable',
            ],
        ];
    }

    protected function initListsForFields(): void
    {
        $this->listsForFields['work_assign'] = Workassign::pluck('name', 'id')->toArray();
    }
}
