<?php

namespace Database\Seeders;

use App\Permission;
use Illuminate\Database\Seeder;

class PermissionsTableSeeder extends Seeder
{
    public function run()
    {
        $permissions = [
            [
                'id'    => 1,
                'title' => 'auth_profile_edit',
            ],
            [
                'id'    => 2,
                'title' => 'user_management_access',
            ],
            [
                'id'    => 3,
                'title' => 'permission_create',
            ],
            [
                'id'    => 4,
                'title' => 'permission_edit',
            ],
            [
                'id'    => 5,
                'title' => 'permission_show',
            ],
            [
                'id'    => 6,
                'title' => 'permission_delete',
            ],
            [
                'id'    => 7,
                'title' => 'permission_access',
            ],
            [
                'id'    => 8,
                'title' => 'role_create',
            ],
            [
                'id'    => 9,
                'title' => 'role_edit',
            ],
            [
                'id'    => 10,
                'title' => 'role_show',
            ],
            [
                'id'    => 11,
                'title' => 'role_delete',
            ],
            [
                'id'    => 12,
                'title' => 'role_access',
            ],
            [
                'id'    => 13,
                'title' => 'user_create',
            ],
            [
                'id'    => 14,
                'title' => 'user_edit',
            ],
            [
                'id'    => 15,
                'title' => 'user_show',
            ],
            [
                'id'    => 16,
                'title' => 'user_delete',
            ],
            [
                'id'    => 17,
                'title' => 'user_access',
            ],
            [
                'id'    => 18,
                'title' => 'status_category_create',
            ],
            [
                'id'    => 19,
                'title' => 'status_category_edit',
            ],
            [
                'id'    => 20,
                'title' => 'status_category_show',
            ],
            [
                'id'    => 21,
                'title' => 'status_category_delete',
            ],
            [
                'id'    => 22,
                'title' => 'status_category_access',
            ],
            [
                'id'    => 23,
                'title' => 'status_create',
            ],
            [
                'id'    => 24,
                'title' => 'status_edit',
            ],
            [
                'id'    => 25,
                'title' => 'status_show',
            ],
            [
                'id'    => 26,
                'title' => 'status_delete',
            ],
            [
                'id'    => 27,
                'title' => 'status_access',
            ],
            [
                'id'    => 28,
                'title' => 'category_create',
            ],
            [
                'id'    => 29,
                'title' => 'category_edit',
            ],
            [
                'id'    => 30,
                'title' => 'category_show',
            ],
            [
                'id'    => 31,
                'title' => 'category_delete',
            ],
            [
                'id'    => 32,
                'title' => 'category_access',
            ],
            [
                'id'    => 33,
                'title' => 'sub_category_create',
            ],
            [
                'id'    => 34,
                'title' => 'sub_category_edit',
            ],
            [
                'id'    => 35,
                'title' => 'sub_category_show',
            ],
            [
                'id'    => 36,
                'title' => 'sub_category_delete',
            ],
            [
                'id'    => 37,
                'title' => 'sub_category_access',
            ],
            [
                'id'    => 38,
                'title' => 'unit_create',
            ],
            [
                'id'    => 39,
                'title' => 'unit_edit',
            ],
            [
                'id'    => 40,
                'title' => 'unit_show',
            ],
            [
                'id'    => 41,
                'title' => 'unit_delete',
            ],
            [
                'id'    => 42,
                'title' => 'unit_access',
            ],
            [
                'id'    => 43,
                'title' => 'item_create',
            ],
            [
                'id'    => 44,
                'title' => 'item_edit',
            ],
            [
                'id'    => 45,
                'title' => 'item_show',
            ],
            [
                'id'    => 46,
                'title' => 'item_delete',
            ],
            [
                'id'    => 47,
                'title' => 'item_access',
            ],
            [
                'id'    => 48,
                'title' => 'works_detail_create',
            ],
            [
                'id'    => 49,
                'title' => 'works_detail_edit',
            ],
            [
                'id'    => 50,
                'title' => 'works_detail_show',
            ],
            [
                'id'    => 51,
                'title' => 'works_detail_delete',
            ],
            [
                'id'    => 52,
                'title' => 'works_detail_access',
            ],
            [
                'id'    => 53,
                'title' => 'work_create',
            ],
            [
                'id'    => 54,
                'title' => 'work_edit',
            ],
            [
                'id'    => 55,
                'title' => 'work_show',
            ],
            [
                'id'    => 56,
                'title' => 'work_delete',
            ],
            [
                'id'    => 57,
                'title' => 'work_access',
            ],
            [
                'id'    => 58,
                'title' => 'supplier_create',
            ],
            [
                'id'    => 59,
                'title' => 'supplier_edit',
            ],
            [
                'id'    => 60,
                'title' => 'supplier_show',
            ],
            [
                'id'    => 61,
                'title' => 'supplier_delete',
            ],
            [
                'id'    => 62,
                'title' => 'supplier_access',
            ],
            [
                'id'    => 63,
                'title' => 'contractor_create',
            ],
            [
                'id'    => 64,
                'title' => 'contractor_edit',
            ],
            [
                'id'    => 65,
                'title' => 'contractor_show',
            ],
            [
                'id'    => 66,
                'title' => 'contractor_delete',
            ],
            [
                'id'    => 67,
                'title' => 'contractor_access',
            ],
            [
                'id'    => 68,
                'title' => 'customer_create',
            ],
            [
                'id'    => 69,
                'title' => 'customer_edit',
            ],
            [
                'id'    => 70,
                'title' => 'customer_show',
            ],
            [
                'id'    => 71,
                'title' => 'customer_delete',
            ],
            [
                'id'    => 72,
                'title' => 'customer_access',
            ],
            [
                'id'    => 73,
                'title' => 'project_create',
            ],
            [
                'id'    => 74,
                'title' => 'project_edit',
            ],
            [
                'id'    => 75,
                'title' => 'project_show',
            ],
            [
                'id'    => 76,
                'title' => 'project_delete',
            ],
            [
                'id'    => 77,
                'title' => 'project_access',
            ],
            [
                'id'    => 78,
                'title' => 'project_detail_create',
            ],
            [
                'id'    => 79,
                'title' => 'project_detail_edit',
            ],
            [
                'id'    => 80,
                'title' => 'project_detail_show',
            ],
            [
                'id'    => 81,
                'title' => 'project_detail_delete',
            ],
            [
                'id'    => 82,
                'title' => 'project_detail_access',
            ],
            [
                'id'    => 83,
                'title' => 'workassign_create',
            ],
            [
                'id'    => 84,
                'title' => 'workassign_edit',
            ],
            [
                'id'    => 85,
                'title' => 'workassign_show',
            ],
            [
                'id'    => 86,
                'title' => 'workassign_delete',
            ],
            [
                'id'    => 87,
                'title' => 'workassign_access',
            ],
            [
                'id'    => 88,
                'title' => 'work_progress_create',
            ],
            [
                'id'    => 89,
                'title' => 'work_progress_edit',
            ],
            [
                'id'    => 90,
                'title' => 'work_progress_show',
            ],
            [
                'id'    => 91,
                'title' => 'work_progress_delete',
            ],
            [
                'id'    => 92,
                'title' => 'work_progress_access',
            ],
            [
                'id'    => 93,
                'title' => 'audit_log_show',
            ],
            [
                'id'    => 94,
                'title' => 'audit_log_access',
            ],
            [
                'id'    => 95,
                'title' => 'profile_access',
            ],
            [
                'id'    => 96,
                'title' => 'process_access',
            ],
            [
                'id'    => 97,
                'title' => 'module_access',
            ],
            [
                'id'    => 98,
                'title' => 'tool_access',
            ],
            [
                'id'    => 99,
                'title' => 'report_access',
            ],
        ];

        Permission::insert($permissions);
    }
}
