@extends('layouts.admin')
@section('content')
<div class="row">
    <div class="card bg-blueGray-100">
        <div class="card-header">
            <div class="card-header-container">
                <h6 class="card-title">
                    {{ trans('global.view') }}
                    {{ trans('cruds.contractor.title_singular') }}:
                    {{ trans('cruds.contractor.fields.id') }}
                    {{ $contractor->id }}
                </h6>
            </div>
        </div>

        <div class="card-body">
            <div class="pt-3">
                <table class="table table-view">
                    <tbody class="bg-white">
                        <tr>
                            <th>
                                {{ trans('cruds.contractor.fields.id') }}
                            </th>
                            <td>
                                {{ $contractor->id }}
                            </td>
                        </tr>
                        <tr>
                            <th>
                                {{ trans('cruds.contractor.fields.supplier') }}
                            </th>
                            <td>
                                @if($contractor->supplier)
                                    <span class="badge badge-relationship">{{ $contractor->supplier->name ?? '' }}</span>
                                @endif
                            </td>
                        </tr>
                        <tr>
                            <th>
                                {{ trans('cruds.contractor.fields.name') }}
                            </th>
                            <td>
                                {{ $contractor->name }}
                            </td>
                        </tr>
                        <tr>
                            <th>
                                {{ trans('cruds.contractor.fields.work') }}
                            </th>
                            <td>
                                @if($contractor->work)
                                    <span class="badge badge-relationship">{{ $contractor->work->name ?? '' }}</span>
                                @endif
                            </td>
                        </tr>
                        <tr>
                            <th>
                                {{ trans('cruds.contractor.fields.price') }}
                            </th>
                            <td>
                                {{ $contractor->price }}
                            </td>
                        </tr>
                        <tr>
                            <th>
                                {{ trans('cruds.contractor.fields.status') }}
                            </th>
                            <td>
                                @if($contractor->status)
                                    <span class="badge badge-relationship">{{ $contractor->status->name ?? '' }}</span>
                                @endif
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
            <div class="form-group">
                @can('contractor_edit')
                    <a href="{{ route('admin.contractors.edit', $contractor) }}" class="btn btn-indigo mr-2">
                        {{ trans('global.edit') }}
                    </a>
                @endcan
                <a href="{{ route('admin.contractors.index') }}" class="btn btn-secondary">
                    {{ trans('global.back') }}
                </a>
            </div>
        </div>
    </div>
</div>
@endsection