@extends('layouts.admin')
@section('content')
<div class="row">
    <div class="card bg-blueGray-100">
        <div class="card-header">
            <div class="card-header-container">
                <h6 class="card-title">
                    {{ trans('global.view') }}
                    {{ trans('cruds.item.title_singular') }}:
                    {{ trans('cruds.item.fields.id') }}
                    {{ $item->id }}
                </h6>
            </div>
        </div>

        <div class="card-body">
            <div class="pt-3">
                <table class="table table-view">
                    <tbody class="bg-white">
                        <tr>
                            <th>
                                {{ trans('cruds.item.fields.id') }}
                            </th>
                            <td>
                                {{ $item->id }}
                            </td>
                        </tr>
                        <tr>
                            <th>
                                {{ trans('cruds.item.fields.sub_category') }}
                            </th>
                            <td>
                                @if($item->subCategory)
                                    <span class="badge badge-relationship">{{ $item->subCategory->name ?? '' }}</span>
                                @endif
                            </td>
                        </tr>
                        <tr>
                            <th>
                                {{ trans('cruds.item.fields.item_name') }}
                            </th>
                            <td>
                                {{ $item->item_name }}
                            </td>
                        </tr>
                        <tr>
                            <th>
                                {{ trans('cruds.item.fields.code') }}
                            </th>
                            <td>
                                {{ $item->code }}
                            </td>
                        </tr>
                        <tr>
                            <th>
                                {{ trans('cruds.item.fields.units') }}
                            </th>
                            <td>
                                @if($item->units)
                                    <span class="badge badge-relationship">{{ $item->units->name ?? '' }}</span>
                                @endif
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
            <div class="form-group">
                @can('item_edit')
                    <a href="{{ route('admin.items.edit', $item) }}" class="btn btn-indigo mr-2">
                        {{ trans('global.edit') }}
                    </a>
                @endcan
                <a href="{{ route('admin.items.index') }}" class="btn btn-secondary">
                    {{ trans('global.back') }}
                </a>
            </div>
        </div>
    </div>
</div>
@endsection