@extends('layouts.admin')
@section('content')
<div class="row">
    <div class="card bg-blueGray-100">
        <div class="card-header">
            <div class="card-header-container">
                <h6 class="card-title">
                    {{ trans('global.view') }}
                    {{ trans('cruds.projectDetail.title_singular') }}:
                    {{ trans('cruds.projectDetail.fields.id') }}
                    {{ $projectDetail->id }}
                </h6>
            </div>
        </div>

        <div class="card-body">
            <div class="pt-3">
                <table class="table table-view">
                    <tbody class="bg-white">
                        <tr>
                            <th>
                                {{ trans('cruds.projectDetail.fields.id') }}
                            </th>
                            <td>
                                {{ $projectDetail->id }}
                            </td>
                        </tr>
                        <tr>
                            <th>
                                {{ trans('cruds.projectDetail.fields.project') }}
                            </th>
                            <td>
                                @if($projectDetail->project)
                                    <span class="badge badge-relationship">{{ $projectDetail->project->name ?? '' }}</span>
                                @endif
                            </td>
                        </tr>
                        <tr>
                            <th>
                                {{ trans('cruds.projectDetail.fields.works') }}
                            </th>
                            <td>
                                @if($projectDetail->works)
                                    <span class="badge badge-relationship">{{ $projectDetail->works->name ?? '' }}</span>
                                @endif
                            </td>
                        </tr>
                        <tr>
                            <th>
                                {{ trans('cruds.projectDetail.fields.wrok_qty') }}
                            </th>
                            <td>
                                {{ $projectDetail->wrok_qty }}
                            </td>
                        </tr>
                        <tr>
                            <th>
                                {{ trans('cruds.projectDetail.fields.estimate_hours') }}
                            </th>
                            <td>
                                {{ $projectDetail->estimate_hours }}
                            </td>
                        </tr>
                        <tr>
                            <th>
                                {{ trans('cruds.projectDetail.fields.rate') }}
                            </th>
                            <td>
                                {{ $projectDetail->rate }}
                            </td>
                        </tr>
                        <tr>
                            <th>
                                {{ trans('cruds.projectDetail.fields.estimate_cost') }}
                            </th>
                            <td>
                                {{ $projectDetail->estimate_cost }}
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
            <div class="form-group">
                @can('project_detail_edit')
                    <a href="{{ route('admin.project-details.edit', $projectDetail) }}" class="btn btn-indigo mr-2">
                        {{ trans('global.edit') }}
                    </a>
                @endcan
                <a href="{{ route('admin.project-details.index') }}" class="btn btn-secondary">
                    {{ trans('global.back') }}
                </a>
            </div>
        </div>
    </div>
</div>
@endsection