@extends('layouts.admin')
@section('content')
<div class="row">
    <div class="card bg-blueGray-100">
        <div class="card-header">
            <div class="card-header-container">
                <h6 class="card-title">
                    {{ trans('global.view') }}
                    {{ trans('cruds.status.title_singular') }}:
                    {{ trans('cruds.status.fields.id') }}
                    {{ $status->id }}
                </h6>
            </div>
        </div>

        <div class="card-body">
            <div class="pt-3">
                <table class="table table-view">
                    <tbody class="bg-white">
                        <tr>
                            <th>
                                {{ trans('cruds.status.fields.id') }}
                            </th>
                            <td>
                                {{ $status->id }}
                            </td>
                        </tr>
                        <tr>
                            <th>
                                {{ trans('cruds.status.fields.status_category') }}
                            </th>
                            <td>
                                @if($status->statusCategory)
                                    <span class="badge badge-relationship">{{ $status->statusCategory->name ?? '' }}</span>
                                @endif
                            </td>
                        </tr>
                        <tr>
                            <th>
                                {{ trans('cruds.status.fields.name') }}
                            </th>
                            <td>
                                {{ $status->name }}
                            </td>
                        </tr>
                        <tr>
                            <th>
                                {{ trans('cruds.status.fields.code') }}
                            </th>
                            <td>
                                {{ $status->code }}
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
            <div class="form-group">
                @can('status_edit')
                    <a href="{{ route('admin.statuses.edit', $status) }}" class="btn btn-indigo mr-2">
                        {{ trans('global.edit') }}
                    </a>
                @endcan
                <a href="{{ route('admin.statuses.index') }}" class="btn btn-secondary">
                    {{ trans('global.back') }}
                </a>
            </div>
        </div>
    </div>
</div>
@endsection