@extends('layouts.admin')
@section('content')
<div class="row">
    <div class="card bg-blueGray-100">
        <div class="card-header">
            <div class="card-header-container">
                <h6 class="card-title">
                    {{ trans('global.view') }}
                    {{ trans('cruds.subCategory.title_singular') }}:
                    {{ trans('cruds.subCategory.fields.id') }}
                    {{ $subCategory->id }}
                </h6>
            </div>
        </div>

        <div class="card-body">
            <div class="pt-3">
                <table class="table table-view">
                    <tbody class="bg-white">
                        <tr>
                            <th>
                                {{ trans('cruds.subCategory.fields.id') }}
                            </th>
                            <td>
                                {{ $subCategory->id }}
                            </td>
                        </tr>
                        <tr>
                            <th>
                                {{ trans('cruds.subCategory.fields.category_name') }}
                            </th>
                            <td>
                                @if($subCategory->categoryName)
                                    <span class="badge badge-relationship">{{ $subCategory->categoryName->name ?? '' }}</span>
                                @endif
                            </td>
                        </tr>
                        <tr>
                            <th>
                                {{ trans('cruds.subCategory.fields.name') }}
                            </th>
                            <td>
                                {{ $subCategory->name }}
                            </td>
                        </tr>
                        <tr>
                            <th>
                                {{ trans('cruds.subCategory.fields.code') }}
                            </th>
                            <td>
                                {{ $subCategory->code }}
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
            <div class="form-group">
                @can('sub_category_edit')
                    <a href="{{ route('admin.sub-categories.edit', $subCategory) }}" class="btn btn-indigo mr-2">
                        {{ trans('global.edit') }}
                    </a>
                @endcan
                <a href="{{ route('admin.sub-categories.index') }}" class="btn btn-secondary">
                    {{ trans('global.back') }}
                </a>
            </div>
        </div>
    </div>
</div>
@endsection