@extends('layouts.admin')
@section('content')
<div class="row">
    <div class="card bg-blueGray-100">
        <div class="card-header">
            <div class="card-header-container">
                <h6 class="card-title">
                    {{ trans('global.view') }}
                    {{ trans('cruds.workProgress.title_singular') }}:
                    {{ trans('cruds.workProgress.fields.id') }}
                    {{ $workProgress->id }}
                </h6>
            </div>
        </div>

        <div class="card-body">
            <div class="pt-3">
                <table class="table table-view">
                    <tbody class="bg-white">
                        <tr>
                            <th>
                                {{ trans('cruds.workProgress.fields.id') }}
                            </th>
                            <td>
                                {{ $workProgress->id }}
                            </td>
                        </tr>
                        <tr>
                            <th>
                                {{ trans('cruds.workProgress.fields.work_assign') }}
                            </th>
                            <td>
                                @if($workProgress->workAssign)
                                    <span class="badge badge-relationship">{{ $workProgress->workAssign->name ?? '' }}</span>
                                @endif
                            </td>
                        </tr>
                        <tr>
                            <th>
                                {{ trans('cruds.workProgress.fields.finished_qty') }}
                            </th>
                            <td>
                                {{ $workProgress->finished_qty }}
                            </td>
                        </tr>
                        <tr>
                            <th>
                                {{ trans('cruds.workProgress.fields.used_hours') }}
                            </th>
                            <td>
                                {{ $workProgress->used_hours }}
                            </td>
                        </tr>
                        <tr>
                            <th>
                                {{ trans('cruds.workProgress.fields.paid_amount') }}
                            </th>
                            <td>
                                {{ $workProgress->paid_amount }}
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
            <div class="form-group">
                @can('work_progress_edit')
                    <a href="{{ route('admin.work-progresss.edit', $workProgress) }}" class="btn btn-indigo mr-2">
                        {{ trans('global.edit') }}
                    </a>
                @endcan
                <a href="{{ route('admin.work-progresss.index') }}" class="btn btn-secondary">
                    {{ trans('global.back') }}
                </a>
            </div>
        </div>
    </div>
</div>
@endsection