@extends('layouts.admin')
@section('content')
<div class="row">
    <div class="card bg-blueGray-100">
        <div class="card-header">
            <div class="card-header-container">
                <h6 class="card-title">
                    {{ trans('global.view') }}
                    {{ trans('cruds.work.title_singular') }}:
                    {{ trans('cruds.work.fields.id') }}
                    {{ $work->id }}
                </h6>
            </div>
        </div>

        <div class="card-body">
            <div class="pt-3">
                <table class="table table-view">
                    <tbody class="bg-white">
                        <tr>
                            <th>
                                {{ trans('cruds.work.fields.id') }}
                            </th>
                            <td>
                                {{ $work->id }}
                            </td>
                        </tr>
                        <tr>
                            <th>
                                {{ trans('cruds.work.fields.name') }}
                            </th>
                            <td>
                                {{ $work->name }}
                            </td>
                        </tr>
                        <tr>
                            <th>
                                {{ trans('cruds.work.fields.status') }}
                            </th>
                            <td>
                                @if($work->status)
                                    <span class="badge badge-relationship">{{ $work->status->name ?? '' }}</span>
                                @endif
                            </td>
                        </tr>
                        <tr>
                            <th>
                                {{ trans('cruds.work.fields.code') }}
                            </th>
                            <td>
                                {{ $work->code }}
                            </td>
                        </tr>
                        <tr>
                            <th>
                                {{ trans('cruds.work.fields.unit') }}
                            </th>
                            <td>
                                @if($work->unit)
                                    <span class="badge badge-relationship">{{ $work->unit->name ?? '' }}</span>
                                @endif
                            </td>
                        </tr>
                        <tr>
                            <th>
                                {{ trans('cruds.work.fields.unit_of_quantity') }}
                            </th>
                            <td>
                                {{ $work->unit_of_quantity }}
                            </td>
                        </tr>
                        <tr>
                            <th>
                                {{ trans('cruds.work.fields.hours_per_unit') }}
                            </th>
                            <td>
                                {{ $work->hours_per_unit }}
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
            <div class="form-group">
                @can('work_edit')
                    <a href="{{ route('admin.works.edit', $work) }}" class="btn btn-indigo mr-2">
                        {{ trans('global.edit') }}
                    </a>
                @endcan
                <a href="{{ route('admin.works.index') }}" class="btn btn-secondary">
                    {{ trans('global.back') }}
                </a>
            </div>
        </div>
    </div>
</div>
@endsection