@extends('layouts.admin')
@section('content')
<div class="row">
    <div class="card bg-blueGray-100">
        <div class="card-header">
            <div class="card-header-container">
                <h6 class="card-title">
                    {{ trans('global.view') }}
                    {{ trans('cruds.workassign.title_singular') }}:
                    {{ trans('cruds.workassign.fields.id') }}
                    {{ $workassign->id }}
                </h6>
            </div>
        </div>

        <div class="card-body">
            <div class="pt-3">
                <table class="table table-view">
                    <tbody class="bg-white">
                        <tr>
                            <th>
                                {{ trans('cruds.workassign.fields.id') }}
                            </th>
                            <td>
                                {{ $workassign->id }}
                            </td>
                        </tr>
                        <tr>
                            <th>
                                {{ trans('cruds.workassign.fields.project') }}
                            </th>
                            <td>
                                @if($workassign->project)
                                    <span class="badge badge-relationship">{{ $workassign->project->name ?? '' }}</span>
                                @endif
                            </td>
                        </tr>
                        <tr>
                            <th>
                                {{ trans('cruds.workassign.fields.contractor') }}
                            </th>
                            <td>
                                @if($workassign->contractor)
                                    <span class="badge badge-relationship">{{ $workassign->contractor->name ?? '' }}</span>
                                @endif
                            </td>
                        </tr>
                        <tr>
                            <th>
                                {{ trans('cruds.workassign.fields.sub_work_qty') }}
                            </th>
                            <td>
                                {{ $workassign->sub_work_qty }}
                            </td>
                        </tr>
                        <tr>
                            <th>
                                {{ trans('cruds.workassign.fields.rate') }}
                            </th>
                            <td>
                                {{ $workassign->rate }}
                            </td>
                        </tr>
                        <tr>
                            <th>
                                {{ trans('cruds.workassign.fields.status') }}
                            </th>
                            <td>
                                @if($workassign->status)
                                    <span class="badge badge-relationship">{{ $workassign->status->name ?? '' }}</span>
                                @endif
                            </td>
                        </tr>
                        <tr>
                            <th>
                                {{ trans('cruds.workassign.fields.used_hours') }}
                            </th>
                            <td>
                                {{ $workassign->used_hours }}
                            </td>
                        </tr>
                        <tr>
                            <th>
                                {{ trans('cruds.workassign.fields.total_estimated') }}
                            </th>
                            <td>
                                {{ $workassign->total_estimated }}
                            </td>
                        </tr>
                        <tr>
                            <th>
                                {{ trans('cruds.workassign.fields.total_paid') }}
                            </th>
                            <td>
                                {{ $workassign->total_paid }}
                            </td>
                        </tr>
                        <tr>
                            <th>
                                {{ trans('cruds.workassign.fields.name') }}
                            </th>
                            <td>
                                {{ $workassign->name }}
                            </td>
                        </tr>
                        <tr>
                            <th>
                                {{ trans('cruds.workassign.fields.code') }}
                            </th>
                            <td>
                                {{ $workassign->code }}
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
            <div class="form-group">
                @can('workassign_edit')
                    <a href="{{ route('admin.workassigns.edit', $workassign) }}" class="btn btn-indigo mr-2">
                        {{ trans('global.edit') }}
                    </a>
                @endcan
                <a href="{{ route('admin.workassigns.index') }}" class="btn btn-secondary">
                    {{ trans('global.back') }}
                </a>
            </div>
        </div>
    </div>
</div>
@endsection