@extends('layouts.admin')
@section('content')
<div class="row">
    <div class="card bg-blueGray-100">
        <div class="card-header">
            <div class="card-header-container">
                <h6 class="card-title">
                    {{ trans('global.view') }}
                    {{ trans('cruds.worksDetail.title_singular') }}:
                    {{ trans('cruds.worksDetail.fields.id') }}
                    {{ $worksDetail->id }}
                </h6>
            </div>
        </div>

        <div class="card-body">
            <div class="pt-3">
                <table class="table table-view">
                    <tbody class="bg-white">
                        <tr>
                            <th>
                                {{ trans('cruds.worksDetail.fields.id') }}
                            </th>
                            <td>
                                {{ $worksDetail->id }}
                            </td>
                        </tr>
                        <tr>
                            <th>
                                {{ trans('cruds.worksDetail.fields.item') }}
                            </th>
                            <td>
                                @if($worksDetail->item)
                                    <span class="badge badge-relationship">{{ $worksDetail->item->item_name ?? '' }}</span>
                                @endif
                            </td>
                        </tr>
                        <tr>
                            <th>
                                {{ trans('cruds.worksDetail.fields.qty') }}
                            </th>
                            <td>
                                {{ $worksDetail->qty }}
                            </td>
                        </tr>
                        <tr>
                            <th>
                                {{ trans('cruds.worksDetail.fields.duration') }}
                            </th>
                            <td>
                                {{ $worksDetail->duration }}
                            </td>
                        </tr>
                        <tr>
                            <th>
                                {{ trans('cruds.worksDetail.fields.work') }}
                            </th>
                            <td>
                                @if($worksDetail->work)
                                    <span class="badge badge-relationship">{{ $worksDetail->work->name ?? '' }}</span>
                                @endif
                            </td>
                        </tr>
                        <tr>
                            <th>
                                {{ trans('cruds.worksDetail.fields.duration_units') }}
                            </th>
                            <td>
                                @if($worksDetail->durationUnits)
                                    <span class="badge badge-relationship">{{ $worksDetail->durationUnits->name ?? '' }}</span>
                                @endif
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
            <div class="form-group">
                @can('works_detail_edit')
                    <a href="{{ route('admin.works-details.edit', $worksDetail) }}" class="btn btn-indigo mr-2">
                        {{ trans('global.edit') }}
                    </a>
                @endcan
                <a href="{{ route('admin.works-details.index') }}" class="btn btn-secondary">
                    {{ trans('global.back') }}
                </a>
            </div>
        </div>
    </div>
</div>
@endsection