<nav class="md:left-0 md:block md:fixed md:top-0 md:bottom-0 md:overflow-y-auto md:flex-row md:flex-nowrap md:overflow-hidden shadow-xl bg-white flex flex-wrap items-center justify-between relative md:w-64 z-10 py-4 px-6">
    <div class="md:flex-col md:items-stretch md:min-h-full md:flex-nowrap px-0 flex flex-wrap items-center justify-between w-full mx-auto">
        <button class="cursor-pointer text-black opacity-50 md:hidden px-3 py-1 text-xl leading-none bg-transparent rounded border border-solid border-transparent" type="button" onclick="toggleNavbar('example-collapse-sidebar')">
            <i class="fas fa-bars"></i>
        </button>
        <a class="md:block text-left md:pb-2 text-blueGray-700 mr-0 inline-block whitespace-nowrap text-sm uppercase font-bold p-4 px-0" href="{{ route('admin.home') }}">
            {{ trans('panel.site_title') }}
        </a>
        <div class="md:flex md:flex-col md:items-stretch md:opacity-100 md:relative md:mt-4 md:shadow-none shadow absolute top-0 left-0 right-0 z-40 overflow-y-auto overflow-x-hidden h-auto items-center flex-1 rounded hidden" id="example-collapse-sidebar">
            <div class="md:min-w-full md:hidden block pb-4 mb-4 border-b border-solid border-blueGray-300">
                <div class="flex flex-wrap">
                    <div class="w-6/12">
                        <a class="md:block text-left md:pb-2 text-blueGray-700 mr-0 inline-block whitespace-nowrap text-sm uppercase font-bold p-4 px-0" href="{{ route('admin.home') }}">
                            {{ trans('panel.site_title') }}
                        </a>
                    </div>
                    <div class="w-6/12 flex justify-end">
                        <button type="button" class="cursor-pointer text-black opacity-50 md:hidden px-3 py-1 text-xl leading-none bg-transparent rounded border border-solid border-transparent" onclick="toggleNavbar('example-collapse-sidebar')">
                            <i class="fas fa-times"></i>
                        </button>
                    </div>
                </div>
            </div>



            <!-- Divider -->
            <div class="flex md:hidden">
                @if(file_exists(app_path('Http/Livewire/LanguageSwitcher.php')))
                    <livewire:language-switcher />
                @endif
            </div>
            <hr class="mb-6 md:min-w-full" />
            <!-- Heading -->

            <ul class="md:flex-col md:min-w-full flex flex-col list-none">
                <li class="items-center">
                    <a href="{{ route("admin.home") }}" class="{{ request()->is("admin") ? "sidebar-nav-active" : "sidebar-nav" }}">
                        <i class="fas fa-tv"></i>
                        {{ trans('global.dashboard') }}
                    </a>
                </li>

                @can('user_management_access')
                    <li class="items-center">
                        <a class="has-sub {{ request()->is("admin/permissions*")||request()->is("admin/roles*")||request()->is("admin/users*")||request()->is("admin/audit-logs*") ? "sidebar-nav-active" : "sidebar-nav" }}" href="#" onclick="window.openSubNav(this)">
                            <i class="fa-fw fas c-sidebar-nav-icon fa-users">
                            </i>
                            {{ trans('cruds.userManagement.title') }}
                        </a>
                        <ul class="ml-4 subnav hidden">
                            @can('permission_access')
                                <li class="items-center">
                                    <a class="{{ request()->is("admin/permissions*") ? "sidebar-nav-active" : "sidebar-nav" }}" href="{{ route("admin.permissions.index") }}">
                                        <i class="fa-fw c-sidebar-nav-icon fas fa-unlock-alt">
                                        </i>
                                        {{ trans('cruds.permission.title') }}
                                    </a>
                                </li>
                            @endcan
                            @can('role_access')
                                <li class="items-center">
                                    <a class="{{ request()->is("admin/roles*") ? "sidebar-nav-active" : "sidebar-nav" }}" href="{{ route("admin.roles.index") }}">
                                        <i class="fa-fw c-sidebar-nav-icon fas fa-briefcase">
                                        </i>
                                        {{ trans('cruds.role.title') }}
                                    </a>
                                </li>
                            @endcan
                            @can('user_access')
                                <li class="items-center">
                                    <a class="{{ request()->is("admin/users*") ? "sidebar-nav-active" : "sidebar-nav" }}" href="{{ route("admin.users.index") }}">
                                        <i class="fa-fw c-sidebar-nav-icon fas fa-user">
                                        </i>
                                        {{ trans('cruds.user.title') }}
                                    </a>
                                </li>
                            @endcan
                            @can('audit_log_access')
                                <li class="items-center">
                                    <a class="{{ request()->is("admin/audit-logs*") ? "sidebar-nav-active" : "sidebar-nav" }}" href="{{ route("admin.audit-logs.index") }}">
                                        <i class="fa-fw c-sidebar-nav-icon fas fa-file-alt">
                                        </i>
                                        {{ trans('cruds.auditLog.title') }}
                                    </a>
                                </li>
                            @endcan
                        </ul>
                    </li>
                @endcan
                @can('profile_access')
                    <li class="items-center">
                        <a class="has-sub {{ request()->is("admin/status-categories*")||request()->is("admin/statuses*")||request()->is("admin/categories*")||request()->is("admin/sub-categories*")||request()->is("admin/units*")||request()->is("admin/suppliers*")||request()->is("admin/customers*") ? "sidebar-nav-active" : "sidebar-nav" }}" href="#" onclick="window.openSubNav(this)">
                            <i class="fa-fw fas c-sidebar-nav-icon fa-address-card">
                            </i>
                            {{ trans('cruds.profile.title') }}
                        </a>
                        <ul class="ml-4 subnav hidden">
                            @can('status_category_access')
                                <li class="items-center">
                                    <a class="{{ request()->is("admin/status-categories*") ? "sidebar-nav-active" : "sidebar-nav" }}" href="{{ route("admin.status-categories.index") }}">
                                        <i class="fa-fw c-sidebar-nav-icon fas fa-cogs">
                                        </i>
                                        {{ trans('cruds.statusCategory.title') }}
                                    </a>
                                </li>
                            @endcan
                            @can('status_access')
                                <li class="items-center">
                                    <a class="{{ request()->is("admin/statuses*") ? "sidebar-nav-active" : "sidebar-nav" }}" href="{{ route("admin.statuses.index") }}">
                                        <i class="fa-fw c-sidebar-nav-icon fas fa-cogs">
                                        </i>
                                        {{ trans('cruds.status.title') }}
                                    </a>
                                </li>
                            @endcan
                            @can('category_access')
                                <li class="items-center">
                                    <a class="{{ request()->is("admin/categories*") ? "sidebar-nav-active" : "sidebar-nav" }}" href="{{ route("admin.categories.index") }}">
                                        <i class="fa-fw c-sidebar-nav-icon fas fa-cogs">
                                        </i>
                                        {{ trans('cruds.category.title') }}
                                    </a>
                                </li>
                            @endcan
                            @can('sub_category_access')
                                <li class="items-center">
                                    <a class="{{ request()->is("admin/sub-categories*") ? "sidebar-nav-active" : "sidebar-nav" }}" href="{{ route("admin.sub-categories.index") }}">
                                        <i class="fa-fw c-sidebar-nav-icon fas fa-cogs">
                                        </i>
                                        {{ trans('cruds.subCategory.title') }}
                                    </a>
                                </li>
                            @endcan
                            @can('unit_access')
                                <li class="items-center">
                                    <a class="{{ request()->is("admin/units*") ? "sidebar-nav-active" : "sidebar-nav" }}" href="{{ route("admin.units.index") }}">
                                        <i class="fa-fw c-sidebar-nav-icon fas fa-cogs">
                                        </i>
                                        {{ trans('cruds.unit.title') }}
                                    </a>
                                </li>
                            @endcan
                            @can('supplier_access')
                                <li class="items-center">
                                    <a class="{{ request()->is("admin/suppliers*") ? "sidebar-nav-active" : "sidebar-nav" }}" href="{{ route("admin.suppliers.index") }}">
                                        <i class="fa-fw c-sidebar-nav-icon fas fa-cogs">
                                        </i>
                                        {{ trans('cruds.supplier.title') }}
                                    </a>
                                </li>
                            @endcan
                            @can('customer_access')
                                <li class="items-center">
                                    <a class="{{ request()->is("admin/customers*") ? "sidebar-nav-active" : "sidebar-nav" }}" href="{{ route("admin.customers.index") }}">
                                        <i class="fa-fw c-sidebar-nav-icon fas fa-cogs">
                                        </i>
                                        {{ trans('cruds.customer.title') }}
                                    </a>
                                </li>
                            @endcan
                        </ul>
                    </li>
                @endcan
                @can('process_access')
                    <li class="items-center">
                        <a class="has-sub {{ request()->is("admin/works-details*")||request()->is("admin/works*")||request()->is("admin/contractors*")||request()->is("admin/projects*")||request()->is("admin/project-details*")||request()->is("admin/workassigns*")||request()->is("admin/work-progresss*") ? "sidebar-nav-active" : "sidebar-nav" }}" href="#" onclick="window.openSubNav(this)">
                            <i class="fa-fw fas c-sidebar-nav-icon fab fa-adn">
                            </i>
                            {{ trans('cruds.process.title') }}
                        </a>
                        <ul class="ml-4 subnav hidden">
                            @can('works_detail_access')
                                <li class="items-center">
                                    <a class="{{ request()->is("admin/works-details*") ? "sidebar-nav-active" : "sidebar-nav" }}" href="{{ route("admin.works-details.index") }}">
                                        <i class="fa-fw c-sidebar-nav-icon fas fa-cogs">
                                        </i>
                                        {{ trans('cruds.worksDetail.title') }}
                                    </a>
                                </li>
                            @endcan
                            @can('work_access')
                                <li class="items-center">
                                    <a class="{{ request()->is("admin/works*") ? "sidebar-nav-active" : "sidebar-nav" }}" href="{{ route("admin.works.index") }}">
                                        <i class="fa-fw c-sidebar-nav-icon fas fa-cogs">
                                        </i>
                                        {{ trans('cruds.work.title') }}
                                    </a>
                                </li>
                            @endcan
                            @can('contractor_access')
                                <li class="items-center">
                                    <a class="{{ request()->is("admin/contractors*") ? "sidebar-nav-active" : "sidebar-nav" }}" href="{{ route("admin.contractors.index") }}">
                                        <i class="fa-fw c-sidebar-nav-icon fas fa-cogs">
                                        </i>
                                        {{ trans('cruds.contractor.title') }}
                                    </a>
                                </li>
                            @endcan
                            @can('project_access')
                                <li class="items-center">
                                    <a class="{{ request()->is("admin/projects*") ? "sidebar-nav-active" : "sidebar-nav" }}" href="{{ route("admin.projects.index") }}">
                                        <i class="fa-fw c-sidebar-nav-icon fas fa-cogs">
                                        </i>
                                        {{ trans('cruds.project.title') }}
                                    </a>
                                </li>
                            @endcan
                            @can('project_detail_access')
                                <li class="items-center">
                                    <a class="{{ request()->is("admin/project-details*") ? "sidebar-nav-active" : "sidebar-nav" }}" href="{{ route("admin.project-details.index") }}">
                                        <i class="fa-fw c-sidebar-nav-icon fas fa-cogs">
                                        </i>
                                        {{ trans('cruds.projectDetail.title') }}
                                    </a>
                                </li>
                            @endcan
                            @can('workassign_access')
                                <li class="items-center">
                                    <a class="{{ request()->is("admin/workassigns*") ? "sidebar-nav-active" : "sidebar-nav" }}" href="{{ route("admin.workassigns.index") }}">
                                        <i class="fa-fw c-sidebar-nav-icon fas fa-cogs">
                                        </i>
                                        {{ trans('cruds.workassign.title') }}
                                    </a>
                                </li>
                            @endcan
                            @can('work_progress_access')
                                <li class="items-center">
                                    <a class="{{ request()->is("admin/work-progresss*") ? "sidebar-nav-active" : "sidebar-nav" }}" href="{{ route("admin.work-progresss.index") }}">
                                        <i class="fa-fw c-sidebar-nav-icon fas fa-cogs">
                                        </i>
                                        {{ trans('cruds.workProgress.title') }}
                                    </a>
                                </li>
                            @endcan
                        </ul>
                    </li>
                @endcan
                @can('tool_access')
                    <li class="items-center">
                        <a class="has-sub {{ request()->is("admin/items*") ? "sidebar-nav-active" : "sidebar-nav" }}" href="#" onclick="window.openSubNav(this)">
                            <i class="fa-fw fas c-sidebar-nav-icon fa-cogs">
                            </i>
                            {{ trans('cruds.tool.title') }}
                        </a>
                        <ul class="ml-4 subnav hidden">
                            @can('item_access')
                                <li class="items-center">
                                    <a class="{{ request()->is("admin/items*") ? "sidebar-nav-active" : "sidebar-nav" }}" href="{{ route("admin.items.index") }}">
                                        <i class="fa-fw c-sidebar-nav-icon fas fa-cogs">
                                        </i>
                                        {{ trans('cruds.item.title') }}
                                    </a>
                                </li>
                            @endcan
                        </ul>
                    </li>
                @endcan

                @if(file_exists(app_path('Http/Controllers/Auth/UserProfileController.php')))
                    @can('auth_profile_edit')
                        <li class="items-center">
                            <a href="{{ route("profile.show") }}" class="{{ request()->is("profile") ? "sidebar-nav-active" : "sidebar-nav" }}">
                                <i class="fa-fw c-sidebar-nav-icon fas fa-user-circle"></i>
                                {{ trans('global.my_profile') }}
                            </a>
                        </li>
                    @endcan
                @endif

                <li class="items-center">
                    <a href="#" onclick="event.preventDefault(); document.getElementById('logoutform').submit();" class="sidebar-nav">
                        <i class="fa-fw fas fa-sign-out-alt"></i>
                        {{ trans('global.logout') }}
                    </a>
                </li>
            </ul>
        </div>
    </div>
</nav>