<form wire:submit.prevent="submit" class="pt-3">

    <div class="form-group {{ $errors->has('category.name') ? 'invalid' : '' }}">
        <label class="form-label required" for="name">{{ trans('cruds.category.fields.name') }}</label>
        <input class="form-control" type="text" name="name" id="name" required wire:model.defer="category.name">
        <div class="validation-message">
            {{ $errors->first('category.name') }}
        </div>
        <div class="help-block">
            {{ trans('cruds.category.fields.name_helper') }}
        </div>
    </div>
    <div class="form-group {{ $errors->has('category.code') ? 'invalid' : '' }}">
        <label class="form-label" for="code">{{ trans('cruds.category.fields.code') }}</label>
        <input class="form-control" type="text" name="code" id="code" wire:model.defer="category.code">
        <div class="validation-message">
            {{ $errors->first('category.code') }}
        </div>
        <div class="help-block">
            {{ trans('cruds.category.fields.code_helper') }}
        </div>
    </div>

    <div class="form-group">
        <button class="btn btn-indigo mr-2" type="submit">
            {{ trans('global.save') }}
        </button>
        <a href="{{ route('admin.categories.index') }}" class="btn btn-secondary">
            {{ trans('global.cancel') }}
        </a>
    </div>
</form>