<form wire:submit.prevent="submit" class="pt-3">

    <div class="form-group {{ $errors->has('contractor.supplier_id') ? 'invalid' : '' }}">
        <label class="form-label required" for="supplier">{{ trans('cruds.contractor.fields.supplier') }}</label>
        <x-select-list class="form-control" required id="supplier" name="supplier" :options="$this->listsForFields['supplier']" wire:model="contractor.supplier_id" />
        <div class="validation-message">
            {{ $errors->first('contractor.supplier_id') }}
        </div>
        <div class="help-block">
            {{ trans('cruds.contractor.fields.supplier_helper') }}
        </div>
    </div>
    <div class="form-group {{ $errors->has('contractor.name') ? 'invalid' : '' }}">
        <label class="form-label required" for="name">{{ trans('cruds.contractor.fields.name') }}</label>
        <input class="form-control" type="text" name="name" id="name" required wire:model.defer="contractor.name">
        <div class="validation-message">
            {{ $errors->first('contractor.name') }}
        </div>
        <div class="help-block">
            {{ trans('cruds.contractor.fields.name_helper') }}
        </div>
    </div>
    <div class="form-group {{ $errors->has('contractor.work_id') ? 'invalid' : '' }}">
        <label class="form-label required" for="work">{{ trans('cruds.contractor.fields.work') }}</label>
        <x-select-list class="form-control" required id="work" name="work" :options="$this->listsForFields['work']" wire:model="contractor.work_id" />
        <div class="validation-message">
            {{ $errors->first('contractor.work_id') }}
        </div>
        <div class="help-block">
            {{ trans('cruds.contractor.fields.work_helper') }}
        </div>
    </div>
    <div class="form-group {{ $errors->has('contractor.price') ? 'invalid' : '' }}">
        <label class="form-label required" for="price">{{ trans('cruds.contractor.fields.price') }}</label>
        <input class="form-control" type="number" name="price" id="price" required wire:model.defer="contractor.price" step="0.01">
        <div class="validation-message">
            {{ $errors->first('contractor.price') }}
        </div>
        <div class="help-block">
            {{ trans('cruds.contractor.fields.price_helper') }}
        </div>
    </div>
    <div class="form-group {{ $errors->has('contractor.status_id') ? 'invalid' : '' }}">
        <label class="form-label required" for="status">{{ trans('cruds.contractor.fields.status') }}</label>
        <x-select-list class="form-control" required id="status" name="status" :options="$this->listsForFields['status']" wire:model="contractor.status_id" />
        <div class="validation-message">
            {{ $errors->first('contractor.status_id') }}
        </div>
        <div class="help-block">
            {{ trans('cruds.contractor.fields.status_helper') }}
        </div>
    </div>

    <div class="form-group">
        <button class="btn btn-indigo mr-2" type="submit">
            {{ trans('global.save') }}
        </button>
        <a href="{{ route('admin.contractors.index') }}" class="btn btn-secondary">
            {{ trans('global.cancel') }}
        </a>
    </div>
</form>