<form wire:submit.prevent="submit" class="pt-3">

    <div class="form-group {{ $errors->has('item.sub_category_id') ? 'invalid' : '' }}">
        <label class="form-label required" for="sub_category">{{ trans('cruds.item.fields.sub_category') }}</label>
        <x-select-list class="form-control" required id="sub_category" name="sub_category" :options="$this->listsForFields['sub_category']" wire:model="item.sub_category_id" />
        <div class="validation-message">
            {{ $errors->first('item.sub_category_id') }}
        </div>
        <div class="help-block">
            {{ trans('cruds.item.fields.sub_category_helper') }}
        </div>
    </div>
    <div class="form-group {{ $errors->has('item.item_name') ? 'invalid' : '' }}">
        <label class="form-label required" for="item_name">{{ trans('cruds.item.fields.item_name') }}</label>
        <input class="form-control" type="text" name="item_name" id="item_name" required wire:model.defer="item.item_name">
        <div class="validation-message">
            {{ $errors->first('item.item_name') }}
        </div>
        <div class="help-block">
            {{ trans('cruds.item.fields.item_name_helper') }}
        </div>
    </div>
    <div class="form-group {{ $errors->has('item.code') ? 'invalid' : '' }}">
        <label class="form-label" for="code">{{ trans('cruds.item.fields.code') }}</label>
        <input class="form-control" type="text" name="code" id="code" wire:model.defer="item.code">
        <div class="validation-message">
            {{ $errors->first('item.code') }}
        </div>
        <div class="help-block">
            {{ trans('cruds.item.fields.code_helper') }}
        </div>
    </div>
    <div class="form-group {{ $errors->has('item.units_id') ? 'invalid' : '' }}">
        <label class="form-label" for="units">{{ trans('cruds.item.fields.units') }}</label>
        <x-select-list class="form-control" id="units" name="units" :options="$this->listsForFields['units']" wire:model="item.units_id" />
        <div class="validation-message">
            {{ $errors->first('item.units_id') }}
        </div>
        <div class="help-block">
            {{ trans('cruds.item.fields.units_helper') }}
        </div>
    </div>

    <div class="form-group">
        <button class="btn btn-indigo mr-2" type="submit">
            {{ trans('global.save') }}
        </button>
        <a href="{{ route('admin.items.index') }}" class="btn btn-secondary">
            {{ trans('global.cancel') }}
        </a>
    </div>
</form>