<form wire:submit.prevent="submit" class="pt-3">

    <div class="form-group {{ $errors->has('projectDetail.project_id') ? 'invalid' : '' }}">
        <label class="form-label required" for="project">{{ trans('cruds.projectDetail.fields.project') }}</label>
        <x-select-list class="form-control" required id="project" name="project" :options="$this->listsForFields['project']" wire:model="projectDetail.project_id" />
        <div class="validation-message">
            {{ $errors->first('projectDetail.project_id') }}
        </div>
        <div class="help-block">
            {{ trans('cruds.projectDetail.fields.project_helper') }}
        </div>
    </div>
    <div class="form-group {{ $errors->has('projectDetail.works_id') ? 'invalid' : '' }}">
        <label class="form-label" for="works">{{ trans('cruds.projectDetail.fields.works') }}</label>
        <x-select-list class="form-control" id="works" name="works" :options="$this->listsForFields['works']" wire:model="projectDetail.works_id" />
        <div class="validation-message">
            {{ $errors->first('projectDetail.works_id') }}
        </div>
        <div class="help-block">
            {{ trans('cruds.projectDetail.fields.works_helper') }}
        </div>
    </div>
    <div class="form-group {{ $errors->has('projectDetail.wrok_qty') ? 'invalid' : '' }}">
        <label class="form-label required" for="wrok_qty">{{ trans('cruds.projectDetail.fields.wrok_qty') }}</label>
        <input class="form-control" type="number" name="wrok_qty" id="wrok_qty" required wire:model.defer="projectDetail.wrok_qty" step="0.01">
        <div class="validation-message">
            {{ $errors->first('projectDetail.wrok_qty') }}
        </div>
        <div class="help-block">
            {{ trans('cruds.projectDetail.fields.wrok_qty_helper') }}
        </div>
    </div>
    <div class="form-group {{ $errors->has('projectDetail.estimate_hours') ? 'invalid' : '' }}">
        <label class="form-label" for="estimate_hours">{{ trans('cruds.projectDetail.fields.estimate_hours') }}</label>
        <input class="form-control" type="number" name="estimate_hours" id="estimate_hours" wire:model.defer="projectDetail.estimate_hours" step="0.01">
        <div class="validation-message">
            {{ $errors->first('projectDetail.estimate_hours') }}
        </div>
        <div class="help-block">
            {{ trans('cruds.projectDetail.fields.estimate_hours_helper') }}
        </div>
    </div>
    <div class="form-group {{ $errors->has('projectDetail.rate') ? 'invalid' : '' }}">
        <label class="form-label" for="rate">{{ trans('cruds.projectDetail.fields.rate') }}</label>
        <input class="form-control" type="number" name="rate" id="rate" wire:model.defer="projectDetail.rate" step="0.01">
        <div class="validation-message">
            {{ $errors->first('projectDetail.rate') }}
        </div>
        <div class="help-block">
            {{ trans('cruds.projectDetail.fields.rate_helper') }}
        </div>
    </div>
    <div class="form-group {{ $errors->has('projectDetail.estimate_cost') ? 'invalid' : '' }}">
        <label class="form-label" for="estimate_cost">{{ trans('cruds.projectDetail.fields.estimate_cost') }}</label>
        <input class="form-control" type="number" name="estimate_cost" id="estimate_cost" wire:model.defer="projectDetail.estimate_cost" step="0.01">
        <div class="validation-message">
            {{ $errors->first('projectDetail.estimate_cost') }}
        </div>
        <div class="help-block">
            {{ trans('cruds.projectDetail.fields.estimate_cost_helper') }}
        </div>
    </div>

    <div class="form-group">
        <button class="btn btn-indigo mr-2" type="submit">
            {{ trans('global.save') }}
        </button>
        <a href="{{ route('admin.project-details.index') }}" class="btn btn-secondary">
            {{ trans('global.cancel') }}
        </a>
    </div>
</form>