<form wire:submit.prevent="submit" class="pt-3">

    <div class="form-group {{ $errors->has('project.customer_id') ? 'invalid' : '' }}">
        <label class="form-label required" for="customer">{{ trans('cruds.project.fields.customer') }}</label>
        <x-select-list class="form-control" required id="customer" name="customer" :options="$this->listsForFields['customer']" wire:model="project.customer_id" />
        <div class="validation-message">
            {{ $errors->first('project.customer_id') }}
        </div>
        <div class="help-block">
            {{ trans('cruds.project.fields.customer_helper') }}
        </div>
    </div>
    <div class="form-group {{ $errors->has('project.name') ? 'invalid' : '' }}">
        <label class="form-label required" for="name">{{ trans('cruds.project.fields.name') }}</label>
        <input class="form-control" type="text" name="name" id="name" required wire:model.defer="project.name">
        <div class="validation-message">
            {{ $errors->first('project.name') }}
        </div>
        <div class="help-block">
            {{ trans('cruds.project.fields.name_helper') }}
        </div>
    </div>
    <div class="form-group {{ $errors->has('project.code') ? 'invalid' : '' }}">
        <label class="form-label required" for="code">{{ trans('cruds.project.fields.code') }}</label>
        <input class="form-control" type="text" name="code" id="code" required wire:model.defer="project.code">
        <div class="validation-message">
            {{ $errors->first('project.code') }}
        </div>
        <div class="help-block">
            {{ trans('cruds.project.fields.code_helper') }}
        </div>
    </div>
    <div class="form-group {{ $errors->has('project.start_date') ? 'invalid' : '' }}">
        <label class="form-label required" for="start_date">{{ trans('cruds.project.fields.start_date') }}</label>
        <x-date-picker class="form-control" required wire:model="project.start_date" id="start_date" name="start_date" picker="date" />
        <div class="validation-message">
            {{ $errors->first('project.start_date') }}
        </div>
        <div class="help-block">
            {{ trans('cruds.project.fields.start_date_helper') }}
        </div>
    </div>
    <div class="form-group {{ $errors->has('project.finish_date') ? 'invalid' : '' }}">
        <label class="form-label" for="finish_date">{{ trans('cruds.project.fields.finish_date') }}</label>
        <x-date-picker class="form-control" wire:model="project.finish_date" id="finish_date" name="finish_date" picker="date" />
        <div class="validation-message">
            {{ $errors->first('project.finish_date') }}
        </div>
        <div class="help-block">
            {{ trans('cruds.project.fields.finish_date_helper') }}
        </div>
    </div>
    <div class="form-group {{ $errors->has('project.status_id') ? 'invalid' : '' }}">
        <label class="form-label required" for="status">{{ trans('cruds.project.fields.status') }}</label>
        <x-select-list class="form-control" required id="status" name="status" :options="$this->listsForFields['status']" wire:model="project.status_id" />
        <div class="validation-message">
            {{ $errors->first('project.status_id') }}
        </div>
        <div class="help-block">
            {{ trans('cruds.project.fields.status_helper') }}
        </div>
    </div>
    <div class="form-group {{ $errors->has('project.amount') ? 'invalid' : '' }}">
        <label class="form-label" for="amount">{{ trans('cruds.project.fields.amount') }}</label>
        <input class="form-control" type="number" name="amount" id="amount" wire:model.defer="project.amount" step="0.01">
        <div class="validation-message">
            {{ $errors->first('project.amount') }}
        </div>
        <div class="help-block">
            {{ trans('cruds.project.fields.amount_helper') }}
        </div>
    </div>
    <div class="form-group {{ $errors->has('project.cost') ? 'invalid' : '' }}">
        <label class="form-label" for="cost">{{ trans('cruds.project.fields.cost') }}</label>
        <input class="form-control" type="number" name="cost" id="cost" wire:model.defer="project.cost" step="0.01">
        <div class="validation-message">
            {{ $errors->first('project.cost') }}
        </div>
        <div class="help-block">
            {{ trans('cruds.project.fields.cost_helper') }}
        </div>
    </div>

    <div class="form-group">
        <button class="btn btn-indigo mr-2" type="submit">
            {{ trans('global.save') }}
        </button>
        <a href="{{ route('admin.projects.index') }}" class="btn btn-secondary">
            {{ trans('global.cancel') }}
        </a>
    </div>
</form>