<form wire:submit.prevent="submit" class="pt-3">

    <div class="form-group {{ $errors->has('status.status_category_id') ? 'invalid' : '' }}">
        <label class="form-label required" for="status_category">{{ trans('cruds.status.fields.status_category') }}</label>
        <x-select-list class="form-control" required id="status_category" name="status_category" :options="$this->listsForFields['status_category']" wire:model="status.status_category_id" />
        <div class="validation-message">
            {{ $errors->first('status.status_category_id') }}
        </div>
        <div class="help-block">
            {{ trans('cruds.status.fields.status_category_helper') }}
        </div>
    </div>
    <div class="form-group {{ $errors->has('status.name') ? 'invalid' : '' }}">
        <label class="form-label required" for="name">{{ trans('cruds.status.fields.name') }}</label>
        <input class="form-control" type="text" name="name" id="name" required wire:model.defer="status.name">
        <div class="validation-message">
            {{ $errors->first('status.name') }}
        </div>
        <div class="help-block">
            {{ trans('cruds.status.fields.name_helper') }}
        </div>
    </div>
    <div class="form-group {{ $errors->has('status.code') ? 'invalid' : '' }}">
        <label class="form-label" for="code">{{ trans('cruds.status.fields.code') }}</label>
        <input class="form-control" type="text" name="code" id="code" wire:model.defer="status.code">
        <div class="validation-message">
            {{ $errors->first('status.code') }}
        </div>
        <div class="help-block">
            {{ trans('cruds.status.fields.code_helper') }}
        </div>
    </div>

    <div class="form-group">
        <button class="btn btn-indigo mr-2" type="submit">
            {{ trans('global.save') }}
        </button>
        <a href="{{ route('admin.statuses.index') }}" class="btn btn-secondary">
            {{ trans('global.cancel') }}
        </a>
    </div>
</form>