<form wire:submit.prevent="submit" class="pt-3">

    <div class="form-group {{ $errors->has('subCategory.category_name_id') ? 'invalid' : '' }}">
        <label class="form-label required" for="category_name">{{ trans('cruds.subCategory.fields.category_name') }}</label>
        <x-select-list class="form-control" required id="category_name" name="category_name" :options="$this->listsForFields['category_name']" wire:model="subCategory.category_name_id" />
        <div class="validation-message">
            {{ $errors->first('subCategory.category_name_id') }}
        </div>
        <div class="help-block">
            {{ trans('cruds.subCategory.fields.category_name_helper') }}
        </div>
    </div>
    <div class="form-group {{ $errors->has('subCategory.name') ? 'invalid' : '' }}">
        <label class="form-label required" for="name">{{ trans('cruds.subCategory.fields.name') }}</label>
        <input class="form-control" type="text" name="name" id="name" required wire:model.defer="subCategory.name">
        <div class="validation-message">
            {{ $errors->first('subCategory.name') }}
        </div>
        <div class="help-block">
            {{ trans('cruds.subCategory.fields.name_helper') }}
        </div>
    </div>
    <div class="form-group {{ $errors->has('subCategory.code') ? 'invalid' : '' }}">
        <label class="form-label" for="code">{{ trans('cruds.subCategory.fields.code') }}</label>
        <input class="form-control" type="text" name="code" id="code" wire:model.defer="subCategory.code">
        <div class="validation-message">
            {{ $errors->first('subCategory.code') }}
        </div>
        <div class="help-block">
            {{ trans('cruds.subCategory.fields.code_helper') }}
        </div>
    </div>

    <div class="form-group">
        <button class="btn btn-indigo mr-2" type="submit">
            {{ trans('global.save') }}
        </button>
        <a href="{{ route('admin.sub-categories.index') }}" class="btn btn-secondary">
            {{ trans('global.cancel') }}
        </a>
    </div>
</form>