<form wire:submit.prevent="submit" class="pt-3">

    <div class="form-group {{ $errors->has('unit.name') ? 'invalid' : '' }}">
        <label class="form-label required" for="name">{{ trans('cruds.unit.fields.name') }}</label>
        <input class="form-control" type="text" name="name" id="name" required wire:model.defer="unit.name">
        <div class="validation-message">
            {{ $errors->first('unit.name') }}
        </div>
        <div class="help-block">
            {{ trans('cruds.unit.fields.name_helper') }}
        </div>
    </div>
    <div class="form-group {{ $errors->has('unit.code') ? 'invalid' : '' }}">
        <label class="form-label" for="code">{{ trans('cruds.unit.fields.code') }}</label>
        <input class="form-control" type="text" name="code" id="code" wire:model.defer="unit.code">
        <div class="validation-message">
            {{ $errors->first('unit.code') }}
        </div>
        <div class="help-block">
            {{ trans('cruds.unit.fields.code_helper') }}
        </div>
    </div>
    <div class="form-group {{ $errors->has('unit.factor') ? 'invalid' : '' }}">
        <label class="form-label" for="factor">{{ trans('cruds.unit.fields.factor') }}</label>
        <input class="form-control" type="number" name="factor" id="factor" wire:model.defer="unit.factor" step="0.01">
        <div class="validation-message">
            {{ $errors->first('unit.factor') }}
        </div>
        <div class="help-block">
            {{ trans('cruds.unit.fields.factor_helper') }}
        </div>
    </div>

    <div class="form-group">
        <button class="btn btn-indigo mr-2" type="submit">
            {{ trans('global.save') }}
        </button>
        <a href="{{ route('admin.units.index') }}" class="btn btn-secondary">
            {{ trans('global.cancel') }}
        </a>
    </div>
</form>