<form wire:submit.prevent="submit" class="pt-3">

    <div class="form-group {{ $errors->has('workProgress.work_assign_id') ? 'invalid' : '' }}">
        <label class="form-label required" for="work_assign">{{ trans('cruds.workProgress.fields.work_assign') }}</label>
        <x-select-list class="form-control" required id="work_assign" name="work_assign" :options="$this->listsForFields['work_assign']" wire:model="workProgress.work_assign_id" />
        <div class="validation-message">
            {{ $errors->first('workProgress.work_assign_id') }}
        </div>
        <div class="help-block">
            {{ trans('cruds.workProgress.fields.work_assign_helper') }}
        </div>
    </div>
    <div class="form-group {{ $errors->has('workProgress.finished_qty') ? 'invalid' : '' }}">
        <label class="form-label required" for="finished_qty">{{ trans('cruds.workProgress.fields.finished_qty') }}</label>
        <input class="form-control" type="number" name="finished_qty" id="finished_qty" required wire:model.defer="workProgress.finished_qty" step="0.01">
        <div class="validation-message">
            {{ $errors->first('workProgress.finished_qty') }}
        </div>
        <div class="help-block">
            {{ trans('cruds.workProgress.fields.finished_qty_helper') }}
        </div>
    </div>
    <div class="form-group {{ $errors->has('workProgress.used_hours') ? 'invalid' : '' }}">
        <label class="form-label required" for="used_hours">{{ trans('cruds.workProgress.fields.used_hours') }}</label>
        <input class="form-control" type="number" name="used_hours" id="used_hours" required wire:model.defer="workProgress.used_hours" step="0.01">
        <div class="validation-message">
            {{ $errors->first('workProgress.used_hours') }}
        </div>
        <div class="help-block">
            {{ trans('cruds.workProgress.fields.used_hours_helper') }}
        </div>
    </div>
    <div class="form-group {{ $errors->has('workProgress.paid_amount') ? 'invalid' : '' }}">
        <label class="form-label" for="paid_amount">{{ trans('cruds.workProgress.fields.paid_amount') }}</label>
        <input class="form-control" type="number" name="paid_amount" id="paid_amount" wire:model.defer="workProgress.paid_amount" step="0.01">
        <div class="validation-message">
            {{ $errors->first('workProgress.paid_amount') }}
        </div>
        <div class="help-block">
            {{ trans('cruds.workProgress.fields.paid_amount_helper') }}
        </div>
    </div>

    <div class="form-group">
        <button class="btn btn-indigo mr-2" type="submit">
            {{ trans('global.save') }}
        </button>
        <a href="{{ route('admin.work-progresss.index') }}" class="btn btn-secondary">
            {{ trans('global.cancel') }}
        </a>
    </div>
</form>