<div>
    <div class="card-controls sm:flex">
        <div class="w-full sm:w-1/2">
            Per page:
            <select wire:model="perPage" class="form-select w-full sm:w-1/6">
                @foreach($paginationOptions as $value)
                    <option value="{{ $value }}">{{ $value }}</option>
                @endforeach
            </select>

            @can('work_progress_delete')
                <button class="btn btn-rose ml-3 disabled:opacity-50 disabled:cursor-not-allowed" type="button" wire:click="confirm('deleteSelected')" wire:loading.attr="disabled" {{ $this->selectedCount ? '' : 'disabled' }}>
                    {{ __('Delete Selected') }}
                </button>
            @endcan

            @if(file_exists(app_path('Http/Livewire/ExcelExport.php')))
                <livewire:excel-export model="WorkProgress" format="csv" />
                <livewire:excel-export model="WorkProgress" format="xlsx" />
                <livewire:excel-export model="WorkProgress" format="pdf" />
            @endif




        </div>
        <div class="w-full sm:w-1/2 sm:text-right">
            Search:
            <input type="text" wire:model.debounce.300ms="search" class="w-full sm:w-1/3 inline-block" />
        </div>
    </div>
    <div wire:loading.delay>
        Loading...
    </div>

    <div class="overflow-hidden">
        <div class="overflow-x-auto">
            <table class="table table-index w-full">
                <thead>
                    <tr>
                        <th class="w-9">
                        </th>
                        <th class="w-28">
                            {{ trans('cruds.workProgress.fields.id') }}
                            @include('components.table.sort', ['field' => 'id'])
                        </th>
                        <th>
                            {{ trans('cruds.workProgress.fields.work_assign') }}
                            @include('components.table.sort', ['field' => 'work_assign.name'])
                        </th>
                        <th>
                            {{ trans('cruds.workassign.fields.code') }}
                            @include('components.table.sort', ['field' => 'work_assign.code'])
                        </th>
                        <th>
                            {{ trans('cruds.workProgress.fields.finished_qty') }}
                            @include('components.table.sort', ['field' => 'finished_qty'])
                        </th>
                        <th>
                            {{ trans('cruds.workProgress.fields.used_hours') }}
                            @include('components.table.sort', ['field' => 'used_hours'])
                        </th>
                        <th>
                            {{ trans('cruds.workProgress.fields.paid_amount') }}
                            @include('components.table.sort', ['field' => 'paid_amount'])
                        </th>
                        <th>
                        </th>
                    </tr>
                </thead>
                <tbody>
                    @forelse($workProgresss as $workProgress)
                        <tr>
                            <td>
                                <input type="checkbox" value="{{ $workProgress->id }}" wire:model="selected">
                            </td>
                            <td>
                                {{ $workProgress->id }}
                            </td>
                            <td>
                                @if($workProgress->workAssign)
                                    <span class="badge badge-relationship">{{ $workProgress->workAssign->name ?? '' }}</span>
                                @endif
                            </td>
                            <td>
                                @if($workProgress->workAssign)
                                    {{ $workProgress->workAssign->code ?? '' }}
                                @endif
                            </td>
                            <td>
                                {{ $workProgress->finished_qty }}
                            </td>
                            <td>
                                {{ $workProgress->used_hours }}
                            </td>
                            <td>
                                {{ $workProgress->paid_amount }}
                            </td>
                            <td>
                                <div class="flex justify-end">
                                    @can('work_progress_show')
                                        <a class="btn btn-sm btn-info mr-2" href="{{ route('admin.work-progresss.show', $workProgress) }}">
                                            {{ trans('global.view') }}
                                        </a>
                                    @endcan
                                    @can('work_progress_edit')
                                        <a class="btn btn-sm btn-success mr-2" href="{{ route('admin.work-progresss.edit', $workProgress) }}">
                                            {{ trans('global.edit') }}
                                        </a>
                                    @endcan
                                    @can('work_progress_delete')
                                        <button class="btn btn-sm btn-rose mr-2" type="button" wire:click="confirm('delete', {{ $workProgress->id }})" wire:loading.attr="disabled">
                                            {{ trans('global.delete') }}
                                        </button>
                                    @endcan
                                </div>
                            </td>
                        </tr>
                        @empty
                        <tr>
                            <td colspan="10">No entries found.</td>
                        </tr>
                    @endforelse
                </tbody>
            </table>
        </div>
    </div>

    <div class="card-body">
        <div class="pt-3">
            @if($this->selectedCount)
                <p class="text-sm leading-5">
                    <span class="font-medium">
                        {{ $this->selectedCount }}
                    </span>
                    {{ __('Entries selected') }}
                </p>
            @endif
            {{ $workProgresss->links() }}
        </div>
    </div>
</div>

@push('scripts')
    <script>
        Livewire.on('confirm', e => {
    if (!confirm("{{ trans('global.areYouSure') }}")) {
        return
    }
@this[e.callback](...e.argv)
})
    </script>
@endpush