<form wire:submit.prevent="submit" class="pt-3">

    <div class="form-group {{ $errors->has('work.name') ? 'invalid' : '' }}">
        <label class="form-label required" for="name">{{ trans('cruds.work.fields.name') }}</label>
        <input class="form-control" type="text" name="name" id="name" required wire:model.defer="work.name">
        <div class="validation-message">
            {{ $errors->first('work.name') }}
        </div>
        <div class="help-block">
            {{ trans('cruds.work.fields.name_helper') }}
        </div>
    </div>
    <div class="form-group {{ $errors->has('work.status_id') ? 'invalid' : '' }}">
        <label class="form-label" for="status">{{ trans('cruds.work.fields.status') }}</label>
        <x-select-list class="form-control" id="status" name="status" :options="$this->listsForFields['status']" wire:model="work.status_id" />
        <div class="validation-message">
            {{ $errors->first('work.status_id') }}
        </div>
        <div class="help-block">
            {{ trans('cruds.work.fields.status_helper') }}
        </div>
    </div>
    <div class="form-group {{ $errors->has('work.code') ? 'invalid' : '' }}">
        <label class="form-label" for="code">{{ trans('cruds.work.fields.code') }}</label>
        <input class="form-control" type="text" name="code" id="code" wire:model.defer="work.code">
        <div class="validation-message">
            {{ $errors->first('work.code') }}
        </div>
        <div class="help-block">
            {{ trans('cruds.work.fields.code_helper') }}
        </div>
    </div>
    <div class="form-group {{ $errors->has('work.unit_id') ? 'invalid' : '' }}">
        <label class="form-label" for="unit">{{ trans('cruds.work.fields.unit') }}</label>
        <x-select-list class="form-control" id="unit" name="unit" :options="$this->listsForFields['unit']" wire:model="work.unit_id" />
        <div class="validation-message">
            {{ $errors->first('work.unit_id') }}
        </div>
        <div class="help-block">
            {{ trans('cruds.work.fields.unit_helper') }}
        </div>
    </div>
    <div class="form-group {{ $errors->has('work.unit_of_quantity') ? 'invalid' : '' }}">
        <label class="form-label" for="unit_of_quantity">{{ trans('cruds.work.fields.unit_of_quantity') }}</label>
        <input class="form-control" type="number" name="unit_of_quantity" id="unit_of_quantity" wire:model.defer="work.unit_of_quantity" step="0.01">
        <div class="validation-message">
            {{ $errors->first('work.unit_of_quantity') }}
        </div>
        <div class="help-block">
            {{ trans('cruds.work.fields.unit_of_quantity_helper') }}
        </div>
    </div>
    <div class="form-group {{ $errors->has('work.hours_per_unit') ? 'invalid' : '' }}">
        <label class="form-label" for="hours_per_unit">{{ trans('cruds.work.fields.hours_per_unit') }}</label>
        <input class="form-control" type="number" name="hours_per_unit" id="hours_per_unit" wire:model.defer="work.hours_per_unit" step="0.01">
        <div class="validation-message">
            {{ $errors->first('work.hours_per_unit') }}
        </div>
        <div class="help-block">
            {{ trans('cruds.work.fields.hours_per_unit_helper') }}
        </div>
    </div>

    <div class="form-group">
        <button class="btn btn-indigo mr-2" type="submit">
            {{ trans('global.save') }}
        </button>
        <a href="{{ route('admin.works.index') }}" class="btn btn-secondary">
            {{ trans('global.cancel') }}
        </a>
    </div>
</form>