<form wire:submit.prevent="submit" class="pt-3">

    <div class="form-group {{ $errors->has('workassign.project_id') ? 'invalid' : '' }}">
        <label class="form-label required" for="project">{{ trans('cruds.workassign.fields.project') }}</label>
        <x-select-list class="form-control" required id="project" name="project" :options="$this->listsForFields['project']" wire:model="workassign.project_id" />
        <div class="validation-message">
            {{ $errors->first('workassign.project_id') }}
        </div>
        <div class="help-block">
            {{ trans('cruds.workassign.fields.project_helper') }}
        </div>
    </div>
    <div class="form-group {{ $errors->has('workassign.contractor_id') ? 'invalid' : '' }}">
        <label class="form-label required" for="contractor">{{ trans('cruds.workassign.fields.contractor') }}</label>
        <x-select-list class="form-control" required id="contractor" name="contractor" :options="$this->listsForFields['contractor']" wire:model="workassign.contractor_id" />
        <div class="validation-message">
            {{ $errors->first('workassign.contractor_id') }}
        </div>
        <div class="help-block">
            {{ trans('cruds.workassign.fields.contractor_helper') }}
        </div>
    </div>
    <div class="form-group {{ $errors->has('workassign.sub_work_qty') ? 'invalid' : '' }}">
        <label class="form-label required" for="sub_work_qty">{{ trans('cruds.workassign.fields.sub_work_qty') }}</label>
        <input class="form-control" type="number" name="sub_work_qty" id="sub_work_qty" required wire:model.defer="workassign.sub_work_qty" step="0.01">
        <div class="validation-message">
            {{ $errors->first('workassign.sub_work_qty') }}
        </div>
        <div class="help-block">
            {{ trans('cruds.workassign.fields.sub_work_qty_helper') }}
        </div>
    </div>
    <div class="form-group {{ $errors->has('workassign.rate') ? 'invalid' : '' }}">
        <label class="form-label required" for="rate">{{ trans('cruds.workassign.fields.rate') }}</label>
        <input class="form-control" type="number" name="rate" id="rate" required wire:model.defer="workassign.rate" step="0.01">
        <div class="validation-message">
            {{ $errors->first('workassign.rate') }}
        </div>
        <div class="help-block">
            {{ trans('cruds.workassign.fields.rate_helper') }}
        </div>
    </div>
    <div class="form-group {{ $errors->has('workassign.status_id') ? 'invalid' : '' }}">
        <label class="form-label" for="status">{{ trans('cruds.workassign.fields.status') }}</label>
        <x-select-list class="form-control" id="status" name="status" :options="$this->listsForFields['status']" wire:model="workassign.status_id" />
        <div class="validation-message">
            {{ $errors->first('workassign.status_id') }}
        </div>
        <div class="help-block">
            {{ trans('cruds.workassign.fields.status_helper') }}
        </div>
    </div>
    <div class="form-group {{ $errors->has('workassign.used_hours') ? 'invalid' : '' }}">
        <label class="form-label" for="used_hours">{{ trans('cruds.workassign.fields.used_hours') }}</label>
        <input class="form-control" type="number" name="used_hours" id="used_hours" wire:model.defer="workassign.used_hours" step="0.01">
        <div class="validation-message">
            {{ $errors->first('workassign.used_hours') }}
        </div>
        <div class="help-block">
            {{ trans('cruds.workassign.fields.used_hours_helper') }}
        </div>
    </div>
    <div class="form-group {{ $errors->has('workassign.total_estimated') ? 'invalid' : '' }}">
        <label class="form-label" for="total_estimated">{{ trans('cruds.workassign.fields.total_estimated') }}</label>
        <input class="form-control" type="number" name="total_estimated" id="total_estimated" wire:model.defer="workassign.total_estimated" step="0.01">
        <div class="validation-message">
            {{ $errors->first('workassign.total_estimated') }}
        </div>
        <div class="help-block">
            {{ trans('cruds.workassign.fields.total_estimated_helper') }}
        </div>
    </div>
    <div class="form-group {{ $errors->has('workassign.total_paid') ? 'invalid' : '' }}">
        <label class="form-label" for="total_paid">{{ trans('cruds.workassign.fields.total_paid') }}</label>
        <input class="form-control" type="number" name="total_paid" id="total_paid" wire:model.defer="workassign.total_paid" step="0.01">
        <div class="validation-message">
            {{ $errors->first('workassign.total_paid') }}
        </div>
        <div class="help-block">
            {{ trans('cruds.workassign.fields.total_paid_helper') }}
        </div>
    </div>
    <div class="form-group {{ $errors->has('workassign.name') ? 'invalid' : '' }}">
        <label class="form-label required" for="name">{{ trans('cruds.workassign.fields.name') }}</label>
        <input class="form-control" type="text" name="name" id="name" required wire:model.defer="workassign.name">
        <div class="validation-message">
            {{ $errors->first('workassign.name') }}
        </div>
        <div class="help-block">
            {{ trans('cruds.workassign.fields.name_helper') }}
        </div>
    </div>
    <div class="form-group {{ $errors->has('workassign.code') ? 'invalid' : '' }}">
        <label class="form-label" for="code">{{ trans('cruds.workassign.fields.code') }}</label>
        <input class="form-control" type="text" name="code" id="code" wire:model.defer="workassign.code">
        <div class="validation-message">
            {{ $errors->first('workassign.code') }}
        </div>
        <div class="help-block">
            {{ trans('cruds.workassign.fields.code_helper') }}
        </div>
    </div>

    <div class="form-group">
        <button class="btn btn-indigo mr-2" type="submit">
            {{ trans('global.save') }}
        </button>
        <a href="{{ route('admin.workassigns.index') }}" class="btn btn-secondary">
            {{ trans('global.cancel') }}
        </a>
    </div>
</form>