<form wire:submit.prevent="submit" class="pt-3">

    <div class="form-group {{ $errors->has('worksDetail.item_id') ? 'invalid' : '' }}">
        <label class="form-label required" for="item">{{ trans('cruds.worksDetail.fields.item') }}</label>
        <x-select-list class="form-control" required id="item" name="item" :options="$this->listsForFields['item']" wire:model="worksDetail.item_id" />
        <div class="validation-message">
            {{ $errors->first('worksDetail.item_id') }}
        </div>
        <div class="help-block">
            {{ trans('cruds.worksDetail.fields.item_helper') }}
        </div>
    </div>
    <div class="form-group {{ $errors->has('worksDetail.qty') ? 'invalid' : '' }}">
        <label class="form-label required" for="qty">{{ trans('cruds.worksDetail.fields.qty') }}</label>
        <input class="form-control" type="number" name="qty" id="qty" required wire:model.defer="worksDetail.qty" step="0.01">
        <div class="validation-message">
            {{ $errors->first('worksDetail.qty') }}
        </div>
        <div class="help-block">
            {{ trans('cruds.worksDetail.fields.qty_helper') }}
        </div>
    </div>
    <div class="form-group {{ $errors->has('worksDetail.duration') ? 'invalid' : '' }}">
        <label class="form-label" for="duration">{{ trans('cruds.worksDetail.fields.duration') }}</label>
        <input class="form-control" type="number" name="duration" id="duration" wire:model.defer="worksDetail.duration" step="0.01">
        <div class="validation-message">
            {{ $errors->first('worksDetail.duration') }}
        </div>
        <div class="help-block">
            {{ trans('cruds.worksDetail.fields.duration_helper') }}
        </div>
    </div>
    <div class="form-group {{ $errors->has('worksDetail.work_id') ? 'invalid' : '' }}">
        <label class="form-label required" for="work">{{ trans('cruds.worksDetail.fields.work') }}</label>
        <x-select-list class="form-control" required id="work" name="work" :options="$this->listsForFields['work']" wire:model="worksDetail.work_id" />
        <div class="validation-message">
            {{ $errors->first('worksDetail.work_id') }}
        </div>
        <div class="help-block">
            {{ trans('cruds.worksDetail.fields.work_helper') }}
        </div>
    </div>
    <div class="form-group {{ $errors->has('worksDetail.duration_units_id') ? 'invalid' : '' }}">
        <label class="form-label" for="duration_units">{{ trans('cruds.worksDetail.fields.duration_units') }}</label>
        <x-select-list class="form-control" id="duration_units" name="duration_units" :options="$this->listsForFields['duration_units']" wire:model="worksDetail.duration_units_id" />
        <div class="validation-message">
            {{ $errors->first('worksDetail.duration_units_id') }}
        </div>
        <div class="help-block">
            {{ trans('cruds.worksDetail.fields.duration_units_helper') }}
        </div>
    </div>

    <div class="form-group">
        <button class="btn btn-indigo mr-2" type="submit">
            {{ trans('global.save') }}
        </button>
        <a href="{{ route('admin.works-details.index') }}" class="btn btn-secondary">
            {{ trans('global.cancel') }}
        </a>
    </div>
</form>